﻿namespace CnBlogsDemos.ReportingDBManager
{
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;


    public class Bar
    {

        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)] //主键 自增
        public int ID { get; set; }

        public int TaskID { get; set; }

        [MaxLength(200)]
        public string TaskName { get; set; }

        /*有朋友要问了，导入文件里明明没有以上两个字段，为什么要设定他们？
         因为导入的时候是根据每个task 导入的，我们会在commandline里数据task id 和task name
         这样才可以让两个表联系起来，后期好做报表的drill down （钻入）
        */

        [MaxLength(500)]
        public string KeyWord { get; set; }

        public int B1Better { get; set; }

        public int Equal { get; set; }

        public int B2Better { get; set; }

        [MaxLength(50)]
        public string Winner { get; set; }
        [MaxLength(50)]
        public string type { get; set; }

        [DefaultValue(true)]
        public bool IsActive { get; set; }
    }
}
